﻿' Program:      Ch7 Example 2.
' Programmer:   Anthony DePinto
' Date:         Fall 2014
' Description:  List box lookup.

Public Class TicketForm
    ' Declare module-level variables.
    Private TotalInteger(7) As Integer  ' Hold totals for 8 groups.

    Private Sub OkButton_Click(ByVal sender As System.Object,
      ByVal e As System.EventArgs) Handles OkButton.Click
        ' Accumulate the sales by group number.
        Dim SaleInteger As Integer
        Dim IndexInteger As Integer
        Try
            IndexInteger = GroupListBox.SelectedIndex
            If IndexInteger <> -1 Then        ' Selection made.
                ' Add to correct total.
                SaleInteger = Integer.Parse(SaleTextBox.Text)
                TotalInteger(IndexInteger) += SaleInteger

                ' Clear the screen fields.
                GroupListBox.SelectedIndex = -1
                SaleTextBox.Text = ""
            Else
                MessageBox.Show("Select a group number from the list.",
                  "Data Entry Error", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            End If
        Catch
            MessageBox.Show("Sales must be numeric.")
        End Try
    End Sub

    Private Sub TotalsButton_Click(ByVal sender As System.Object,
      ByVal e As System.EventArgs) Handles TotalsButton.Click
        ' Display the totals.
        Dim GroupString As String
        Dim MessageString As String = ""

        For GroupInteger As Integer = 0 To 7
            GroupString = "Group " & GroupListBox.Items(GroupInteger).ToString &
              "= " & TotalInteger(GroupInteger).ToString("N") &
              Environment.NewLine
            MessageString += GroupString
        Next
        MessageBox.Show(MessageString, "Scout Raffle Sales Summary")
    End Sub
End Class
